<?php

namespace Pure\Career\Repositories\Eloquent;

use Pure\Career\Interfaces\CareerMetaRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CareerMetaRepository extends BaseRepository implements CareerMetaRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('pure.career.career_meta.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('pure.career.career_meta.model.model');
    }
}
